> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Attachment

> Get a specific run attachment by ID.

Returns attachment metadata only. Use the download endpoint to get file content.



## OpenAPI

````yaml /openapi.json get /v1/run-attachments/{attachment_id}
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/run-attachments/{attachment_id}:
    get:
      tags:
        - run-attachments
      summary: Get Run Attachment
      description: >-
        Get a specific run attachment by ID.


        Returns attachment metadata only. Use the download endpoint to get file
        content.
      operationId: get_run_attachment_v1_run_attachments__attachment_id__get
      parameters:
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Attachment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunAttachmentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RunAttachmentResponse:
      properties:
        filename:
          type: string
          title: Filename
        content_type:
          type: string
          title: Content Type
        attachment_type:
          $ref: '#/components/schemas/AttachmentType'
        target_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Path
        cleanup_imports_after_run:
          type: boolean
          title: Cleanup Imports After Run
          default: false
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        run_id:
          type: string
          format: uuid
          title: Run Id
        size_bytes:
          type: integer
          title: Size Bytes
        storage_path:
          type: string
          title: Storage Path
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - filename
        - content_type
        - attachment_type
        - id
        - run_id
        - size_bytes
        - storage_path
        - created_at
      title: RunAttachmentResponse
      description: Run attachment response schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AttachmentType:
      type: string
      enum:
        - input
        - output
      title: AttachmentType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          additionalProperties: true
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````